package com.hna.te.client;

public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		for (int i = 0; i < 50; i++) {
			new Te().start();
		}
	}
}

class Te extends Thread {
	@Override
	public void run() {

		Ice.Communicator _communicator = null;
		Glacier2.RouterPrx _router = null;
		try {
			Ice.InitializationData initData = new Ice.InitializationData();
			initData.properties = Ice.Util.createProperties();
			initData.properties.load("pgs.config");// 读取配置文件
			_communicator = Ice.Util.initialize(initData);// 初始化
			_router = Glacier2.RouterPrxHelper.uncheckedCast(_communicator.getDefaultRouter());
			_router.createSession("username", "password");// 创建Session
		} catch (Throwable e) {
			System.out.println(IceInternal.Ex.toString(e));
		} finally {
			if (_router != null) {
				try {
					_router.destroySession();// 释放资源
				} catch (Exception e) {
				}
			}
			if (_communicator != null) {
				try {
					_communicator.destroy();// 释放资源
				} catch (Exception e) {
				}
			}
		}
	}
}
